// Topup management toosl
#include "clog.h"
#include "cgi.h"
#include "input.h"
#include "jubabox_api.h"
#include "safestring.h"
#include <string>
#include "pgsql.h"
#include "pgsql_wrapper.h"
#include <curl/curl.h>
#include "medTEmails.h"

/* -- */
#include "members.h"
#include "function_members.h"


long members_calls(CVars in, CVars &out) {
    long ret = PHP_API_BAD_PARAM;
    try {

      long action  = REQ_LONG(in, "action", 0, -1);
       
       switch (action) {
        case USER_LOGIN:
            ret = medTMemberLogin(in, out);
        break;
        }
     
      } catch (bad_parameter) {
        logfmt(logINFO, "ERROR CALL long members_calls(CVars in, CVars &out)");
    }

    return ret;
}

